=== debian/changelog ===
ros-noetic-moveit-planners-ompl (1.1.11-1buster) buster; urgency=high

  * Improve processing of multiple planning attempts: skip remaining planning attempts if solution was found (#3261 <https://github.com/ros-planning/moveit/issues/3261>)
  * Convert OMPL status to ``MoveItErrorCode`` in the OMPL interface (#3257 <https://github.com/ros-planning/moveit/issues/3257>)
  * Contributors: AndyZe, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Tue, 20 Dec 2022 23:00:00 -0000

ros-noetic-moveit-planners-ompl (1.1.10-1buster) buster; urgency=high

  * Remove ConstraintSampler::project() (#3170 <https://github.com/ros-planning/moveit/issues/3170>)
  * Replace bind() with lambdas (#3106 <https://github.com/ros-planning/moveit/issues/3106>)
  * Cleanup OMPL's PlanningContextManager's protected API
  * planning_context_manager: rename protected methods
  * Contributors: Michael Görner, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Mon, 12 Sep 2022 22:00:00 -0000

ros-noetic-moveit-planners-ompl (1.1.9-1buster) buster; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sat, 05 Mar 2022 23:00:00 -0000

ros-noetic-moveit-planners-ompl (1.1.8-1buster) buster; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sat, 29 Jan 2022 23:00:00 -0000

ros-noetic-moveit-planners-ompl (1.1.7-1buster) buster; urgency=high

  * Use termination condition for simplification step (#2981 <https://github.com/ros-planning/moveit/issues/2981>)
  * Switch to ``std::bind`` (#2967 <https://github.com/ros-planning/moveit/issues/2967>)
  * Contributors: Jochen Sprickerhof, Simon Schmeisser

 -- Dave Coleman <dave@picknik.ai>  Thu, 30 Dec 2021 23:00:00 -0000

ros-noetic-moveit-planners-ompl (1.1.6-1buster) buster; urgency=high

  * Use newly introduced cmake macro ``moveit_build_options()`` from ``moveit_core``
  * Fix ConstrainedGoalSampler (#2811 <https://github.com/ros-planning/moveit/issues/2811>): actually call ``sample()`` (#2872 <https://github.com/ros-planning/moveit/issues/2872>)
  * Provide override for missing isValid method (#2802 <https://github.com/ros-planning/moveit/issues/2802>)
  * Add missing dependencies to generated dynamic_reconfigure headers (#2772 <https://github.com/ros-planning/moveit/issues/2772>)
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Contributors: Mathias Lüdtke, Michael Görner, Robert Haschke, pvanlaar, v4hn, werner291

 -- Dave Coleman <dave@picknik.ai>  Fri, 05 Nov 2021 23:00:00 -0000

ros-noetic-moveit-planners-ompl (1.1.5-1buster) buster; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sat, 22 May 2021 22:00:00 -0000

ros-noetic-moveit-planners-ompl (1.1.4-1buster) buster; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Tue, 11 May 2021 22:00:00 -0000

ros-noetic-moveit-planners-ompl (1.1.3-1buster) buster; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Wed, 28 Apr 2021 22:00:00 -0000

ros-noetic-moveit-planners-ompl (1.1.2-1buster) buster; urgency=high

  * Fix formatting errors
  * Replaced eigen+kdl conversions with tf2_eigen + tf2_kdl (#2472 <https://github.com/ros-planning/moveit/issues/2472>)
  * Add test to ompl interface for StateValidityChecker (#2247 <https://github.com/ros-planning/moveit/issues/2247>)
  * Add test for PlanningContextManager in ompl interface (#2248 <https://github.com/ros-planning/moveit/issues/2248>)
  * Contributors: Jeroen, Tyler Weaver, petkovich

 -- Dave Coleman <dave@picknik.ai>  Wed, 07 Apr 2021 22:00:00 -0000

ros-noetic-moveit-planners-ompl (1.1.1-1buster) buster; urgency=high

  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * Contributors: Felix von Drigalski

 -- Dave Coleman <dave@picknik.ai>  Mon, 12 Oct 2020 22:00:00 -0000

ros-noetic-moveit-planners-ompl (1.1.0-1buster) buster; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Thu, 03 Sep 2020 22:00:00 -0000

ros-noetic-moveit-planners-ompl (1.0.6-1buster) buster; urgency=high

  * [maint] Adapt repository for splitted moveit_resources layout (#2199 <https://github.com/ros-planning/moveit/issues/2199>)
  * [maint] Migrate to clang-format-10
  * [maint] Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * [fix]   Fix memcpy bug in copyJointToOMPLState in ompl interface (#2239 <https://github.com/ros-planning/moveit/issues/2239>)
  * Contributors: Jeroen, Markus Vieth, Robert Haschke, Michael Görner

 -- Dave Coleman <dave@picknik.ai>  Tue, 18 Aug 2020 22:00:00 -0000

ros-noetic-moveit-planners-ompl (1.0.5-1buster) buster; urgency=high

  * [feature] Added support for hybridize/interpolate flags in ModelBasedPlanningContext via ompl_planning.yaml (#2171 <https://github.com/ros-planning/moveit/issues/2171>, #2172 <https://github.com/ros-planning/moveit/issues/2172>)
  * Contributors: Constantinos, Mark Moll

 -- Dave Coleman <dave@picknik.ai>  Tue, 07 Jul 2020 22:00:00 -0000

ros-noetic-moveit-planners-ompl (1.0.4-1buster) buster; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Fri, 29 May 2020 22:00:00 -0000

ros-noetic-moveit-planners-ompl (1.0.3-1buster) buster; urgency=high

  * [maint] Cleanup OMPL dynamic reconfigure config (#1649 <https://github.com/ros-planning/moveit/issues/1649>)
    * Reduce minimum number of waypoints in solution to 2
  * [maint] Apply clang-tidy fix to entire code base (#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint] Fix errors: catkin_lint 1.6.7 (#1987 <https://github.com/ros-planning/moveit/issues/1987>)
  * [maint] Windows build: Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint] Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * Contributors: Michael Görner, Robert Haschke, Sean Yen, Yu, Yan

 -- Dave Coleman <dave@picknik.ai>  Sat, 25 Apr 2020 22:00:00 -0000


