=== debian/control ===
Source: ros-noetic-moveit-planners-ompl
Section: misc
Priority: optional
Maintainer: Dave Coleman <dave@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-dynamic-reconfigure, ros-noetic-moveit-core, ros-noetic-moveit-resources-fanuc-description <!nocheck>, ros-noetic-moveit-resources-panda-description <!nocheck>, ros-noetic-moveit-resources-pr2-description <!nocheck>, ros-noetic-moveit-ros-planning, ros-noetic-ompl, ros-noetic-pluginlib (>= 1.11.2), ros-noetic-rosconsole, ros-noetic-roscpp, ros-noetic-rostest <!nocheck>, ros-noetic-rosunit <!nocheck>, ros-noetic-tf2, ros-noetic-tf2-eigen <!nocheck>
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-noetic-moveit-planners-ompl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-dynamic-reconfigure, ros-noetic-moveit-core, ros-noetic-moveit-ros-planning, ros-noetic-ompl, ros-noetic-pluginlib (>= 1.11.2), ros-noetic-rosconsole, ros-noetic-roscpp, ros-noetic-tf2
Description: MoveIt interface to OMPL
